Bug 882219

Summary: olpc-os-builder: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Product: [Fedora] Fedora Reporter: Kay Sievers <kay>
Component: olpc-os-builderAssignee: Peter Robinson <pbrobinson>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: chris, dsd, metherid, pbrobinson
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 881785    

Description Kay Sievers 2012-11-30 07:44:24 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
 kspost.10.core.inc: cat >/etc/sysconfig/i18n <<__EOF__
   
Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Rahul Sundaram 2014-10-06 02:04:01 EDT
Any update on this?  This is literally the last package which hasn't migrated over
Comment 2 Peter Robinson 2014-10-07 08:24:49 EDT
(In reply to Rahul Sundaram from comment #1)
> Any update on this?  This is literally the last package which hasn't
> migrated over

I'll check with upstream again
Comment 3 Jan Kurik 2015-07-15 10:55:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Fedora End Of Life 2016-11-24 05:52:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.